# Name: xdp/__init__.py
# Purpose: Main module for the XDP package
# Author: Ken McIvor <mcivken@iit.edu>
#
# Copyright 2003-2004 Illinois Institute of Technology
#
# See the file "LICENSE" for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.


"""
C{xdp}-specific exceptions.
"""


class ColumnNameError(Exception):
    """
    Exception raised to indicate that an invalid column name was specified.
    """
    pass


class EvaluationError(Exception):
    """
    Exception raised when an error occurs in C{xdp.Data.evaluate}.
    """
    pass
